#pragma once
/// @file
/// @brief Список зарегестрированных событий для клиента и сервера
///
/// @copyright Copyright 2019 InfoTeCS.

/// @brief список событий поддерживаемых rpc клиентом
/// сервер и клиент используют один макрос, для сохранения совместимости
#define EVENT_LIST                                        \
    VIPNET_EVENT( vipnetDaemonStarted, void )             \
    VIPNET_EVENT( vipnetDaemonStopped, void )             \
    VIPNET_EVENT( vipnetStarted, void )                   \
    VIPNET_EVENT( vipnetStopped, void )                   \
    VIPNET_EVENT( vipnetIntegrityCheck, int )             \
    VIPNET_EVENT( vipnetUpdateReceived, void )            \
    VIPNET_EVENT( vipnetConnectionSuccessful, int, bool ) \
    VIPNET_EVENT( vipnetConnectionFailed, int, bool )     \
    VIPNET_EVENT( vipnetLicenseCheck, unsigned )          \
    VIPNET_EVENT( vipnetKeysInstalled, bool )             \
    VIPNET_EVENT( vipnetNewDstRequired, void )            \
    VIPNET_EVENT( vipnetPasswordRequired, void )          \
    VIPNET_EVENT( vipnetServerTimeDiffDetected, time_t )  \
    VIPNET_EVENT( vipnetNetworkStatusChanged, unsigned )  \
    VIPNET_EVENT( vipnetCryptographyCheck, bool )         \
    VIPNET_EVENT( vipnetReportSaved, void )               \
    VIPNET_EVENT( vipnetChangeLogonType, void )           \
    VIPNET_EVENT( vipnetLogLevelChanged, int )

